Board index » delphi » Access Violation Error when adding ADO components to Data Module

Access Violation Error when adding ADO components to Data Module

I have just installed ADO Express for Delphi 5 Professional.  I get an
access violation error when placing any of the ado compon
M=`=39.^EL]`82Xmodule and when accessing them.  I do not get  an error when placing on a
form.  I am sure there must be a simple solution but I have spent a lot of
time trying to find it without sucess.  Any suggestions would be
appreciated.
 

Re:Access Violation Error when adding ADO components to Data Module


Hi Bill,

Quote
> I have just installed ADO Express for Delphi 5 Professional.  I get an
> access violation error when placing any of the ado components on a data
> module and when accessing them.  I do not get  an error when placing on
a
> form.  I am sure there must be a simple solution but I have spent a lot
of
> time trying to find it without sucess.  Any suggestions would be
> appreciated.

It might be because your versions of ADOExpress and Delphi don't match. If
you have Delphi 5.01, you might have to update ADOExpress. See here:
http://www.inprise.com/devsupport/delphi/downloads/dado501readme.html

Thrse

Re:Access Violation Error when adding ADO components to Data Module


Your suggestion worked, and was very much appreciated.  I just recieved ADO
express and Delphi 5 upgrade two days ago and made the assumption that they
would be current. A mistake I will not make in the future. It is unfortunate
that the product/ upgrades do not have an clear version identification
system.
thanks again.
Quote
"Thrse Hanquet" <therese.hanq...@skynet.be> wrote in message

news:3a5844a9$1_2@dnews...
Quote
> Hi Bill,

> > I have just installed ADO Express for Delphi 5 Professional.  I get an
> > access violation error when placing any of the ado components on a data
> > module and when accessing them.  I do not get  an error when placing on
> a
> > form.  I am sure there must be a simple solution but I have spent a lot
> of
> > time trying to find it without sucess.  Any suggestions would be
> > appreciated.

> It might be because your versions of ADOExpress and Delphi don't match. If
> you have Delphi 5.01, you might have to update ADOExpress. See here:
> http://www.inprise.com/devsupport/delphi/downloads/dado501readme.html

> Thrse

Other Threads